Subject: Re: ryobi plunge routers

From: [email-masked] (Verne H. Bohlender)
Date: Sun, 09 Feb 1997 19:33:44 GMT

Likewise here as I bought one that had been returned because the bit
was supposed to have slipped.  I can't speak well enough of it.  It's
the plunge type but not variable speed which I wish it was.  Got a
speed control that I use sparingly now.

Verne

On 30 Jan 1997 20:01:06 GMT, "Frank K." <[email-masked]> wrote:

>I've had a Ryobi 3hp variable speed plunge router since about the time they
>came out. That was the late eighties or early nineties  It's mounted in my
>router table, but I have used it as a portable. It has seen a lot of use
>and has not been a problem. I would buy another. 
>
>I like Ryobi tools and the ability to get answers through their support and
>parts people. I had a problem with the electronic brake on my 12 volt
>cordless drill two years ago and called their parts dept. in Florida. He
>told me a solution to try before I bought a new switch, which he said was
>the problem. So far I haven't had to buy the switch.
>-- 
>Best -- Frank
>
>